Mozilla Firefox ESR < 68.6.1 Race Condition

high Nessus Network Monitor Plugin ID 701273

Synopsis

A web browser installed on the remote host is affected by a race condition vulnerability.

Description

The version of Firefox ESR installed on the remote host is prior to 68.6.1. It is affected by a race condition when handling a ReadableStream or running the nsDocShell destructor that can cause a use-after-free. There are known targeted attacks in the wild abusing this flaw.

Solution

Upgrade to Mozilla Firefox ESR version 68.6.1 or later.

See Also

https://www.mozilla.org/security/advisories/mfsa2020-11

https://www.mozilla.org/security/advisories/mfsa2020-14

Plugin Details

Severity: High

ID: 701273

Family: Web Clients

Published: 4/24/2020

Updated: 5/1/2020

Risk Information

CVSS v2

Risk Factor: Medium

Base Score: 6.8

Temporal Score: 5

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 8.1

Temporal Score: 7.1

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:2.3:a:mozilla:firefox_esr:*:*:*:*:*:*:*:*

Patch Publication Date: 4/24/2020

Vulnerability Publication Date: 4/24/2020

Reference Information

CVE: CVE-2020-6819, CVE-2020-6820